# HG changeset patch
# Node ID a7a93816a18a
# Parent  085b5bf8e9e8
diff --git a/libpurple/meson.build b/libpurple/meson.build
--- a/libpurple/meson.build
+++ b/libpurple/meson.build
@@ -379,6 +379,7 @@ libpurple = library('purple3',
                     purple_builtheaders + purple_schemas +
                     purple_private_headers,
                     c_args : ['-DPURPLE_COMPILATION', '-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple"'],
+                    gnu_symbol_visibility : 'hidden',
                     include_directories : [toplevel_inc, libpurple_inc],
                     install : true,
                     version : PURPLE_LIB_VERSION,
diff --git a/libpurple/plugins/autoaccept/meson.build b/libpurple/plugins/autoaccept/meson.build
--- a/libpurple/plugins/autoaccept/meson.build
+++ b/libpurple/plugins/autoaccept/meson.build
@@ -1,5 +1,6 @@
 library('autoaccept', 'autoaccept.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PurplePlugin-AutoAccept"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [libpurple_dep, glib],
     name_prefix : '',
     install : true, install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/plugins/idle/meson.build b/libpurple/plugins/idle/meson.build
--- a/libpurple/plugins/idle/meson.build
+++ b/libpurple/plugins/idle/meson.build
@@ -1,5 +1,6 @@
 library('idle', 'idle.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PurplePlugin-Idle"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [libpurple_dep],
     name_prefix : '',
     install : true, install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/plugins/joinpart/meson.build b/libpurple/plugins/joinpart/meson.build
--- a/libpurple/plugins/joinpart/meson.build
+++ b/libpurple/plugins/joinpart/meson.build
@@ -1,5 +1,6 @@
 library('joinpart', 'joinpart.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PurplePlugin-JoinPart"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [libpurple_dep],
     name_prefix : '',
     install : true, install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/plugins/keychain-access/meson.build b/libpurple/plugins/keychain-access/meson.build
--- a/libpurple/plugins/keychain-access/meson.build
+++ b/libpurple/plugins/keychain-access/meson.build
@@ -4,6 +4,7 @@ if host_machine.system() == 'darwin'
 
 	library('keychain-access', 'keychain-access.c',
 		c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-KeychainAccess"'],
+		gnu_symbol_visibility : 'hidden',
 		dependencies : [KEYCHAIN_ACCESS, libpurple_dep],
 		name_prefix : '',
 		install : true,
diff --git a/libpurple/plugins/kwallet/meson.build b/libpurple/plugins/kwallet/meson.build
--- a/libpurple/plugins/kwallet/meson.build
+++ b/libpurple/plugins/kwallet/meson.build
@@ -11,6 +11,7 @@ kwallet_sources = [
 
 library('purplekwallet', kwallet_sources,
     cpp_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-KWalletKeyring"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [kwallet, qt5_dep, libpurple_dep],
     name_prefix : '',
     install : true, install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/plugins/libsecret/meson.build b/libpurple/plugins/libsecret/meson.build
--- a/libpurple/plugins/libsecret/meson.build
+++ b/libpurple/plugins/libsecret/meson.build
@@ -1,5 +1,6 @@
 library('libsecret', 'libsecret.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-LibSecret"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [libsecret, libpurple_dep],
     name_prefix : '',
     install : true, install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/plugins/notification-sound/meson.build b/libpurple/plugins/notification-sound/meson.build
--- a/libpurple/plugins/notification-sound/meson.build
+++ b/libpurple/plugins/notification-sound/meson.build
@@ -3,6 +3,7 @@ if host_machine.system() != 'windows'
 
 	library('notification-sound', 'notification-sound.c',
 		c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PurplePlugin-NotificationSound"'],
+		gnu_symbol_visibility : 'hidden',
 		dependencies : [libpurple_dep, glib, CANBERRA],
 		name_prefix : '',
 		install : true, install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/plugins/purple-toast/meson.build b/libpurple/plugins/purple-toast/meson.build
--- a/libpurple/plugins/purple-toast/meson.build
+++ b/libpurple/plugins/purple-toast/meson.build
@@ -1,5 +1,6 @@
 library('purple-toast', 'purple-toast.c',
 	c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PurplePlugin-Toast"'],
+	gnu_symbol_visibility : 'hidden',
 	dependencies : [libpurple_dep],
 	name_prefix: '',
 	install : true, install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/plugins/statenotify/meson.build b/libpurple/plugins/statenotify/meson.build
--- a/libpurple/plugins/statenotify/meson.build
+++ b/libpurple/plugins/statenotify/meson.build
@@ -1,5 +1,6 @@
 library('statenotify', 'statenotify.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PurplePlugin-StateNotify"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [libpurple_dep],
     name_prefix : '',
     install : true, install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/plugins/wincred/meson.build b/libpurple/plugins/wincred/meson.build
--- a/libpurple/plugins/wincred/meson.build
+++ b/libpurple/plugins/wincred/meson.build
@@ -1,6 +1,7 @@
 if IS_WIN32
 	library('wincred', 'wincred.c',
 	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-WinCredKeyring"'],
+	    gnu_symbol_visibility : 'hidden',
 	    dependencies : [libpurple_dep],
 	    name_prefix : '',
 	    install : true, install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/protocols/bonjour/meson.build b/libpurple/protocols/bonjour/meson.build
--- a/libpurple/protocols/bonjour/meson.build
+++ b/libpurple/protocols/bonjour/meson.build
@@ -34,6 +34,7 @@ if DYNAMIC_BONJOUR
 
 	shared_library('bonjour', BONJOUR_SOURCES,
 	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-Bonjour"'],
+	    gnu_symbol_visibility : 'hidden',
 	    link_args : bonjour_link_args,
 	    dependencies : [libxml, avahi, libpurple_dep, glib, ws2_32],
 	    install : true,
diff --git a/libpurple/protocols/demo/meson.build b/libpurple/protocols/demo/meson.build
--- a/libpurple/protocols/demo/meson.build
+++ b/libpurple/protocols/demo/meson.build
@@ -28,6 +28,7 @@ if DYNAMIC_DEMO
 
 	shared_library('demo', DEMO_SOURCES,
 		c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-Demo"'],
+		gnu_symbol_visibility : 'hidden',
 		dependencies : [glib, json, libpurple_dep],
 		install : true,
 		install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/protocols/gg/meson.build b/libpurple/protocols/gg/meson.build
--- a/libpurple/protocols/gg/meson.build
+++ b/libpurple/protocols/gg/meson.build
@@ -58,6 +58,7 @@ if DYNAMIC_GG
 
 	shared_library('gg', GG_SOURCES,
 	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-GaduGadu"'],
+	    gnu_symbol_visibility : 'hidden',
 	    dependencies : [libgadu, json, libpurple_dep, libsoup, glib],
 	    install : true, install_dir : PURPLE_PLUGINDIR)
 
diff --git a/libpurple/protocols/jabber/meson.build b/libpurple/protocols/jabber/meson.build
--- a/libpurple/protocols/jabber/meson.build
+++ b/libpurple/protocols/jabber/meson.build
@@ -91,6 +91,7 @@ if DYNAMIC_JABBER
 
 	jabber_prpl = shared_library('jabber', JABBER_SOURCES,
 	    c_args : ['-DPURPLE_XMPP_COMPILATION', '-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-XMPP"'],
+	    gnu_symbol_visibility : 'hidden',
 	    link_args : jabber_link_args,
 	    dependencies : [gstreamer, idn, libxml, libpurple_dep, libsoup, glib, gio, math, ws2_32],
 	    install : true,
